<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<mat-card class="login-card">
  <mat-card-title>LOGIN - This page won't be available in production env</mat-card-title>

  <div class="error" *ngIf="credentialError">
    Cannot connect with those credentials.
  </div>


  <form id="loginForm" (ngSubmit)="login(loginForm.value)" #loginForm="ngForm">
    <mat-form-field>
      <input matInput type="text" name="username" placeholder="username" required ngModel #username="ngModel">
      <mat-error *ngIf="username.hasError('required')">Username is required</mat-error>
    </mat-form-field>
    <mat-form-field>
      <input matInput type="password" name="password" placeholder="password" required ngModel #password="ngModel">
      <mat-error *ngIf="password.hasError('required')">Password is required</mat-error>
    </mat-form-field>
    <button [disabled]="loginForm.invalid" type="submit" mat-raised-button color="primary">{{ "Login" | uppercase }}
    </button>
  </form>
</mat-card>
